// CommandResult.java
//
// Informatics 122 Winter 2013
// Project #2: Who's Gonna Ride Your Wild Horses? (Implementation)
//
// Represents a result that can be returned from a command.  You can ask
// a CommandResult for a List of Strings that represent the console output;
// otherwise, they store whatever information is relevant to be able to
// generate that console output.

package inf122.horses.console.results;

import java.util.List;


public interface CommandResult
{
	// getConsoleOutput() returns a List<String> representing individual
	// lines of console output generated by a command.
	List<String> getConsoleOutput();

	// stopConsole() returns true if this result indicates that the console
	// should be stopped, false if it should continue running.
	boolean stopConsole();
}
